GET /katello/api/organizations/:organization_id/flatpak_remotes
List flatpak remotes

GET /katello/api/flatpak_remotes
List flatpak remotes

Examples

GET /katello/api/organizations/114267492/flatpak_remotes
200
{
  "total": 1,
  "subtotal": 1,
  "selectable": 1,
  "page": 1,
  "per_page": 20,
  "error": null,
  "search": null,
  "sort": {
    "by": "name",
    "order": "asc"
  },
  "results": [
    {
      "name": "Red Hat Flatpak Remote",
      "url": "https://flatpaks.redhat.io/rhel/",
      "description": null,
      "username": null,
      "seeded": true,
      "registry_url": null,
      "id": 228288065,
      "organization_id": 114267492,
      "organization": {
        "name": "Empty Organization",
        "label": "Empty_Organization",
        "id": 114267492
      },
      "last_scan": null,
      "upstream_password_exists": false,
      "last_scan_words": null
    }
  ],
  "has_redhat_flatpak_remote": true
}

Params

Param name Description
organization_id
required

organization identifier

Validations:

  • Must be a number.

name
optional

Name of the flatpak remote

Validations:

  • String

search
optional

Search string

Validations:

  • String

page
optional

Page number, starting at 1

Validations:

  • Must be a number.

per_page
optional

Number of results per page to return

Validations:

  • Must be a number.

order
optional

Sort field and order, eg. ‘id DESC’

Validations:

  • String

full_result
optional

Whether or not to show all results

Validations:

  • Must be one of: true, false, 1, 0.

sort_by
optional

Field to sort the results on

Validations:

  • String

sort_order
optional

How to order the sorted results (e.g. ASC for ascending)

Validations:

  • String

Search fields

Field name Type Possible values
name string
organization_id integer
registry_url string
url string

GET /katello/api/flatpak_remotes/:id
Show a flatpak remote

GET /katello/api/organizations/:organization_id/flatpak_remotes/:id
Show a flatpak remote

Examples

GET /katello/api/flatpak_remotes/228288065
204

Params

Param name Description
id
required

Flatpak remote numeric identifier

Validations:

  • Must be a number.

organization_id
optional

organization identifier

Validations:

  • Must be a number.


POST /katello/api/flatpak_remotes
Create a flatpak remote

Examples

POST /katello/api/flatpak_remotes
{
  "name": "test",
  "url": "https://test.com",
  "organization_id": 114267492,
  "flatpak_remote": {
    "name": "test",
    "url": "https://test.com",
    "organization_id": 114267492
  }
}
204

Params

Param name Description
name
required

name

Validations:

  • String

url
required

Base URL of the flatpak registry index, ex: flatpaks.redhat.io/rhel/ , registry.fedoraproject.org/.

Validations:

  • String

organization_id
required

organization identifier

Validations:

  • Must be a number.

description
optional

Description of the flatpak remote

Validations:

  • String

username
optional

Username for the flatpak remote

Validations:

  • String

token
optional

Token/password for the flatpak remote

Validations:

  • String


PUT /katello/api/flatpak_remotes/:id
Update a flatpak remote

Examples

PUT /katello/api/flatpak_remotes/228288065
{
  "name": "test",
  "flatpak_remote": {
    "name": "test"
  }
}
200
{
  "name": "test",
  "url": "https://flatpaks.redhat.io/rhel/",
  "description": null,
  "username": null,
  "seeded": true,
  "registry_url": null,
  "id": 228288065,
  "organization_id": 114267492,
  "organization": {
    "name": "Empty Organization",
    "label": "Empty_Organization",
    "id": 114267492
  },
  "last_scan": null,
  "upstream_password_exists": false,
  "last_scan_words": null
}

Params

Param name Description
description
optional

Description of the flatpak remote

Validations:

  • String

username
optional

Username for the flatpak remote

Validations:

  • String

token
optional

Token/password for the flatpak remote

Validations:

  • String

id
required

Flatpak remote numeric identifier

Validations:

  • Must be a number.

name
optional

name

Validations:

  • String

url
optional

Base URL of the flatpak registry index, ex: flatpaks.redhat.io/rhel/ , registry.fedoraproject.org/.

Validations:

  • String


DELETE /katello/api/flatpak_remotes/:id
Delete a flatpak remote

Examples

DELETE /katello/api/flatpak_remotes/228288065
{
  "flatpak_remote": {}
}
204

Params

Param name Description
id
required

Flatpak remote numeric identifier

Validations:

  • Must be a number.


POST /katello/api/flatpak_remotes/:id/scan
Scan a flatpak remote

Examples

POST /katello/api/flatpak_remotes/228288065/scan
{
  "flatpak_remote": {}
}
204

Params

Param name Description
id
required

Flatpak remote numeric identifier

Validations:

  • Must be a number.